Page MenuHomePhabricator

Text input area in template editing modal is too small
Closed, ResolvedPublic1 Story Points

Description

Experienced in Firefox, when editing the permission field of Commons' Information template.

Maybe this is a known issue, but I find it extremely painful to try editing a paragraph of text while only being able to view 1.5 lines at once (the short width also makes this worse due to excessive line wrapping). A good stopgap measure might be to let this text input be drag-resizable.

Event Timeline

Gilles raised the priority of this task from to Needs Triage.
Gilles updated the task description. (Show Details)
Gilles added a project: VisualEditor.
Gilles added a subscriber: Gilles.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 6:30 PM

Already fixed by Ed in https://gerrit.wikimedia.org/r/#/c/189341/ (c0f146c1b328252dca0b3d42cce492fc6374befc).

I didn't realize this is already live, we'll probably want to backport or do a OOUI release soon?

Jdforrester-WMF closed this task as Resolved.Feb 9 2015, 8:53 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set Security to None.
Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 12 2015, 12:26 AM

Checked - betalabs, test2, production - looks fine everywhere.

Re-opening it - Firefox 35(on Mac) still have the issue - Template text input areas do display a vertical scroll bar for chunks of text before clicking Insert. After the template was inserted - the input text boxes are still too small.

Etonkovidova reopened this task as Open.Feb 19 2015, 7:16 PM
matmarex closed this task as Resolved.Feb 19 2015, 8:49 PM

That's a separate Firefox-only issue, already tracked as T64084.

True. Closing this one - verified in Chrome/Safari.

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Mar 10 2015, 8:10 PM
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Mar 26 2015, 9:00 PM